
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #1975

Submit - Manufacturing activity-Dialogue

08/05/2016 06:14 AM - Oleksii Kurasov

Status: Closed Start date: 08/05/2016

Priority: Immediate Due date: 08/17/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Please, replace Applicant name to Manufacturer name at the topmost label

History

#1 - 08/09/2016 01:11 PM - Oleksii Kurasov

- Due date changed from 08/07/2016 to 08/11/2016

#2 - 08/11/2016 09:39 AM - Oleksii Kurasov

- Due date changed from 08/11/2016 to 08/15/2016

#3 - 08/16/2016 11:17 AM - Oleksii Kurasov

- Due date changed from 08/15/2016 to 08/17/2016

#4 - 08/17/2016 03:43 AM - Oleksii Kurasov

- Status changed from New to Resolved

#5 - 08/18/2016 12:44 PM - Oleksii Kurasov

- Status changed from Resolved to Closed
